function _parent(e)
{
	if (e && e.parentNode)
		return e.parentNode;
	
	return false;
}

function _id(s)
{
	return document.getElementById(s);
}

function _sl(s, c)
{
	return (c || document).querySelector(s);
}

function _ev(s)
{
	return document.evaluate("//"+s, document, null, XPathResult.ANY_TYPE, null).iterateNext();
}


function getE(h)
{
	switch (h)
	{
		case 'instagram.com': return _sl('button.coreSpriteDismissLarge');
		case 'blikopzeewolde.nl': return _sl('.jBlockerAccept');
		case 'socialmediaacademie.nl': return _sl('.jBlockerAccept');
		case 'petsie.nl': return _sl('.jBlockerAccept');
		case 'cookiewall.vice.com': return _id('i-agree');
		case 'emerce.nl': return _sl('.cc-container a#btn');
		
		case 'fifa.com':
			// The first rule is for predictor.fifa.com
			var e = _sl('#root > div > div > svg');
			if (e) e.dispatchEvent(new Event("click", { bubbles: true }));
			return (e ? e : _sl('.mdl-overlay .close'));
		
		case 'fr12.nl': return _id('cookies');
		case 'iper.it': return _sl('.fancybox-close');
		case 'latagliatellayyo.es': return _sl('#AcceptCookies ~ #Buttonholder > input');
		case 'leroymerlin.it': return _sl('.consent-button button');
		case 'marktplaats.nl': return _sl('#track-accept .button');
		case 'mdsrl.it': return _sl('.cookie-modal .ui-button');
		case 'medtronic.nl': return _sl('.acceptcookies');
		case 'online-store.mercedes-benz.de': return _sl('.mb-modal-alert-cookie .close');
		case 'sogeti.nl': return _sl('input[name="cookiewall_answer"] + .button');
		case 'blog.daimler.de': return _sl('.modal-close[title*="Akzeptieren"]');
		case 'zomoto.nl': return _sl('#lnkAccept span');
		case 'lyricsbox.com': return _sl('.button_large[onclick*="cookieconsent"]');
		case 'hyundai.nl': return _sl('.popup .btn input[onclick*="acceptCookies"]');
		case 'runtervomgas.de': return _sl('#cookie-bar a');
		case 'teesbusinesscompass.co.uk': return _sl('#cookiepanel + .ui-dialog-buttonpane button');
		case 'qlstats.net': return _sl('#accept button[onclick*="acceptCookiePolicy"]');
		case 'tallsay.com': return _sl('.buttonblue[name="cookieok"]');
		case 'openlibra.com': return _sl('#ol-cookie-policy button');
		case 'video.gazzanet.gazzetta.it': return _sl('#_evh-ric #AcceptButton');
		case 'zwartecross.nl': return _sl('.cc-cookie-accept');
		case 'zilverenkruis.nl': return _id('cookiedrie');
		case 'weeronline.nl': return _sl('img[src*="storage.weeronline.cloud/cookies"] ~ .btn-accept');
		case 'wampirki.com': return _sl('#NavigationBar1 a');
		case 'volkskrant.nl': return _sl('.button--accept[href*="cookiewall"], .button--accept[onclick*="cookie"]');
		case 'voetbalzone.nl': return _sl('#balkiez a[href*="cookie"]');
		case 'm.voetbalzone.nl': return _sl('a[href*="/actions/cookie.asp"]');
		case 'tradukka.com': return _sl('#cookies_consent button');
		case 'radioveronica.nl': return _sl('.button[onclick*="allowCookies"]');
		case 'zorgverzekeringhema.nl': return _sl('#cookiemelder button');
		case 'meandermc.nl': return _sl('#meanderCookieDialog button');
		case 'e-thermostaat.nl': return _sl('#stAcceptDefault[onclick*="CookieStatement"]');
		case 'tvgids.nl': return _sl('.cookie-backdrop .btn-success');
		case 'longines.it': return _sl('.widget-cookie .allow');
		case 'easyjet.com': return _sl('.cookie-policy-drawer .close-drawer-button > button');
		case 'alternativa.fr': return _id('sub_cookie');
		case 'groepsaccomodaties.org': return _sl('input[name="cookie_answer"] + .button_yes');
		case 'paskoluklubas.lt': return _sl('.cookies-buttons .button');
		case 'onaplus.si': return _sl('.g-popup .btn');
		case 'etransport.pl': return _sl('.NovemediaCookiePolicy .approve');
		case 'letssingit.com': return _sl('.button_large[onclick*="cookieconsent"]');
		case 'skyradio.nl': return _sl('.cookie-wall .button');
		case 'community.ing.nl': return _sl('#cookie-1 .cookie-ctrl a');
		case 'payback.it': return _sl('#modal_CookieConsentOverlay .pb-button[data-dismiss]');
		case 'privacy.sbs.nl': return _sl('#settings-form .submit-button-small');
		case 'telegraafvandaag.nl': return _sl('.ott-bottom #button-agree');
		case 'o2.pl': return _sl('a[href*="polityka-prywatnosci"] + button');
		case 'outlet.mediamarkt.nl': return _id('cookie-consent');
		case 'plt.nl': return _sl('.site-image .accept');
		case 'monnikenwerk.pzc.wegenerwordpress.nl': return _sl('.pronamic_accept_button');
		case 'plazilla.com': return _sl('.buttonblue[name="cookieok"]');
		case 'rd.nl': return _sl('#myModal input[onclick="cookieInfo.setLevel(1)"]');
		case 'petitpalais.paris.fr': return _sl('.disclaimer .close');
		case 'fashionlab.nl': return _sl('#cookiewarning button[onclick*="close_cookie_agreement"]');
		case 'opencaching.de': return _sl('.cookie-notice--body #js--cookie-notice--close-button');
		case 'puma.com': return _sl('#modal-geoip-cookies.show button.notification__dismiss');
		case 'tube.nl': return _sl('button.js-cookie-consent');
		case 'rechtopgeld.nl': return _sl('#cookiewet .btn-success');
		case 'peaks.nl': return _sl('#cookie-modal .bubble');
		case 'reindicium.com': return _sl('#myModal .btn[onclick*="setCookie"]');
		case 'leroymerlin.ru': return _id('btn-accept_cookies');
		case 'fristadskansas.com': return _sl('label[for="UserAcceptedCookies2"]');
		case 'ikgastarten.nl': return _sl('.cookie-processed .agree-button a');
		case 'cookiesv2.publiekeomroep.nl': return _sl('.btn[onclick*="submit"]');
		case 'tripplite.com': return _sl('#cookieMsg a[onclick="tl.setEUcookie();"]');
		case 'second-hand-ikea.com': return _sl('#cookie_melding .link_button2');
		case 'relaischateaux.com': return _sl('.cnil-isvisible .close-cnil');
		case 'tournamentsoftware.com': return _sl('#messagewindow .button[name="btnAccept"]');
		case 'cookies-accept-nl.weeronline.cloud': return _sl('.content > .btn-accept');
		case 'meteovista.be': return _sl('.content > .btn-accept');
		case 'polskifrontend.pl': return _ev("a[contains(., 'Rozumiem')]");
		case 'bereavementadvice.org': return _sl('#dialog-cookies .btn-primary');
		case '24kitchen.nl': return _sl('.cookie-container .submit-button');
		case 'henkel-reiniger.de': return _sl('.js-close-cookielayer');
		case 'gerritveldman.nl': return _sl('.gvca_ok_link');
		case 'hampshire.spydus.co.uk': return _sl('form[action*="ALLOWCOOKIES"] input[name="ACSUBMIT"]');
		case 'dulcogas.it': return _sl('.standalonelink[title="chiudere"]');
		case 'amphion.nl': return _sl('.site-image .accept');
		case 'depop.com': return _ev("a[contains(., 'Accept & close')]");
		case 'britishairways.com': return _sl('.cookieModalButton');
		case 'weerstatistieken.nl': return _sl('input[name="cookieconsent"] + input[type="submit"]');
		case 'wetransfer.com': return _sl('.button.button--enabled.welcome__agree, #tandcs[style*="block"] #accepting.enabled, .transfer__window.terms-conditions .transfer__button');
		case 'bjuvsbostader.se': return _sl('#cookiecheck .btn');
		case 'zwangerschapspagina.nl': return _sl('.accept[href*="setcookie"]');
		case 'subaru.de': return _sl('.CookieLayer__button');
		case 'autovisie.nl': return _id('akkoord_text');
		case 'gva.be': return _sl('.cookie-banner button');
		case 'tradeplace.com': return _id('UIAcceptCookies_UIHyperLinkAccept');
		case 'team-rauscher.at': return _sl('.cookie.header .enable');
		case '9292.nl': return _sl('.modal-open #btnAccord');
		case 'merckmanual.nl': return _sl('.cookies + form .button');
		case 'msdmanuals.nl': return _sl('.cookies + form .button');
		case 'motorolasolutions.com': return _sl('#__tealium_tagO2_confirm button');
		case 'muddymatches.co.uk': return _id('cookie_permission_submit');
		case 'nebulacodex.com': return _sl('#capa .verde');
		case 'paleishetloo.nl': return _sl('.cookieButtons .pull-left');
		case 'parliamentlive.tv': return _id('cookiesAccept');
		case 'ragepluginhook.net': return _sl('form[action*="CookieGate.aspx"] #acceptButton');
		case 'rain-alarm.com': return _sl('#firstTimeDialog + .mydialogbutton');
		case 'ravenblack.net': return _sl('input[type="submit"][value="I consent to this use of cookies"], input[onclick="eu_consent();"]');
		case 'rijtesten.nl': return _id('dd_popup_container_side_acceptButton');
		case 'scorito.com': return _sl('.cookieWallPreviewShutter + div #btnReturn');
		case 'sep.gr': return _id('apodoxiBtnCookies');
		case 'shop4mama.nl': return _sl('.ui-dialog #OneTimePopupDialog + .ui-dialog-buttonpane .ui-button:last-child');
		case 'metronieuws.nl': return _sl('.button-container button[onclick="accept()"]');
		case 'second-hand-watch.com': return _sl('.link_button2[onclick*="CookieOptIn"]');
		case 'withgoogle.com': return _sl('a[href="http://www.cookiechoices.org"] + button');
		case 'vkmag.com': return _sl('#cookiesdirective #explicitsubmit');
		case 'tweakers.net': return _sl('#cookieContainer .fancyButton, #cookieAcceptForm .fancyButton');
		case 'cideon.de': return _sl('.m-content-cideon-cookie-consent__accept');
		case 'cdarts.ch': return _sl('.cadre_bouton .popup-modal-dismiss');
		case 'truste.com': return _sl('.pdynamicbutton .call, #gwt-debug-close_id');
		case 'ter.sncf.com': return _sl('.close-cookie-banner');
		case 'suchdichgruen.de': return _sl('.important-notice .close-it');
		case 'smgcookies.nl': return _sl('.accept_box a.iaccept');
		case 'ratebeer.com': return _sl('input[type="button"][value="OK"]:not([id]):not([class])');
		case 'livep2000.nl': return _sl('.messagediv > a[href*="cookies"] ~ button[name="ok"]'); // livep2000.nl/monitor/cookieChoice.html
		case 'secureworks.co.uk': return _sl('.dsw-cookie-disclaimer .dsw-button');
		case 'dm.cz': return _sl('#tracking-opt-in-layer-container .ui-button');
		case 'nike.com': return _sl('.cookie-settings-button-container .js-yes-button');
		case 'rtlxl.nl': return _id('acceptButton');
		case 'my.moneypolo.com': return _sl('#cookie-strip .close-cookie');
		case 'choice.npr.org': return _sl('.user-actions #accept');
		
		case 'match.com':
			var e = _parent(_sl('a[data-cookie-no-optin][href*="cookie"]'));
			return (e ? e.nextSibling : false);
		
		case 'neu.de':
			var e = _parent(_sl('.js-cookie-no-optin'));
			return (e ? e.nextSibling : false);
		
		case 'kringloopapp.nl':
			var e = _ev("h4[contains(., 'Cookies')]");
			return (e ? _id('modal-close') : false);
		
		case 'imhd.sk': return _sl('#cookieNotice a[href="#"]');
		case 'wikia.com': return _sl('div[data-tracking-opt-in-accept]');
		case 'wielerflits.nl': return _sl('.btn[name="allow"][value="Ja, ik accepteer cookies"]');
		
		case 'krone.at':
				var e = _sl('#krn-privacy-center.in #krn_select_all');
				if (e) e.click();
				return e;
		
		case 'g2a.com': return _sl('.modal-options--cookie .btn-primary');
		case 'euroclix.nl': return _sl('#cookiesPreferencesForm button.press');
		case 'bodybuilding.com': return _sl('bb-gdpr-modal .Gdpr-btn');
		case 'timeanddate.com': return _sl('.submit.modal-privacy__btn');
		case '9gag.com': return _sl('.gdpr.modal .blue');
		case 'mendrulandia.es': return _sl('#ventana #v_btAceptar');
		case 'tumblr.com': return _sl('.final-btn-consent .btn.yes');
		case 'cookiewall.finnik.nl': return _sl('.box form button[name="button"][type="submit"]');
		case 'toolstation.nl': return _sl('#mrktpref .btn-success');
		case 'healthline.com': return _sl('#GDPR-modal span + button');
		
		case 'bcc.nl':
			var e = _sl('#cookiewallmodal.in input[name="cookieconsent"][value="1"]');
			if (e) e.click();
			return _sl('#cookiewallmodal.in .btn-primary');
		
		case 'hm.com': return _sl('#gdpr-modal .js-read-gdpr');
		case 'dokterdokter.nl': return _sl('.cookiewall.card .button');
		case 'motodesguacehnosgonzalez.com': return _sl('#cookies_policy.fade.in .btn-primary');
		case 'i-say.com': return _sl('.critical-modal.in .btn-primary');
		case 'transip.nl': return _sl('#consent .one-btn');
		case 'atlasobscura.com': return _sl('.js-cookie-consent-accept');
		case 'purevpn.com': return _id('CTA_gdbrcontinue_analytic');
		case 'bloodyelbow.com': return _id('accept-privacy-consent');
		case 'ivoox.com': return _sl('#gdpr-modal .btn-default');
		case 'discordbots.org': return _sl('.button[onclick*="HasSeenAnnoyingPopup"]');
		case 'slate.com': return _sl('.gdpr-form__consent');
		case 'wizaserwis.pl': return _sl('#promoinfo.open .modal-close');
		case 'mtc-it4.be': return _sl('.modal.fade.in .panel-warning .btn-warning');
		case 'time.com': return _sl('.gdpr-form .btn');
		case 'playtv.fr': return _sl('.grdp-button');
		case 'yellowbrick.nl': return _sl('.cc-set-cookie.btn.btn-green');
		case 'vanpartner.com': return _sl('.cookieslaw .closeBtn');
		case 'guce.oath.com': return _sl('.consent-form .agree-button-group .btn');
		case 'poslovni.hr': return _sl('.modal--gdpr #gdpr_understandBtn');
		case 'pathe.nl': return _sl('.btn[onclick*="CookieNotification.Accept"]');
		case 'allyouneedfresh.de': return _sl('#frmNoCookiesModal > a');
		case 'makro.nl': return _id('Desktop_UIIntrusive1_cookieLawAgreeBtn');
		case 'shmoop.com': return _sl('.btn.eu-opt-in, .privacy-notice .privacy-agree');
		case 'trustmyscience.com': return _sl('#surbma-gpga-modal button');
		case 'theforestmap.com': return _sl('.modal.fade.in #acceptcookies');
		case 'mazda.de': return _sl('div[class*="mxp-main-cookie-panel-container"] div[class*="mxp-cta-btn-type-primary"]');
		case 'wonderhowto.com': return _sl('#consentContainer ul + .raised-btn');
		case 'commentreparer.com': return _sl('#rgpd .btn.btn-danger');
		case 'arcgames.com': return _sl('.accept-btn.gdpr-button');
		case 'alltube.tv': return _sl('#rodo-popup.in #rodo-accept, #cookies > span');
		case 'wibra.eu': return _sl('.wpca-btn-accept');
		case 'societe.com': return _sl('#cookiesmodale .Button[name="cookiesall-oui"]');
		case 'ratsit.se': return _sl('.js-cookie-modal.in .js-cookie-modal-accept');
		case 'zeelandnet.nl': return _sl('.modal__button--accept[href*="cookie"]');
		case 'gnkdinamo.hr': return _sl('#privacyPolicyModal.in .btn-confirm');
		case 'smitegame.com': return _sl('#root > div > div > .center-wrapper .approve');
		case 'tk.de': return _sl('.m-stickyconfirm__button');
		case 'voyageforum.com': return _id('consent_button');
		case 'klm.com': return _sl('body[style*="hidden"] .cookiebar-agree-button-agree');
		case 'gadgethacks.com': return _sl('#consentContainer .raised-btn[href*="granted"]');
		case 'windguru.cz': return _id('butt_consent_psads_ok');
		case 'jobbird.com': return _id('gdpraccept');
		case 'emma-matelas.fr': return _sl('#up-cookie.active .button[onclick*="setCookiePreference"]');
		case '17track.net': return _sl('#modal-gdpr.in .btn-warning');
		case 'toestemming.ndcmediagroep.nl': return _sl('form[action*="consent"] .buttons input');
		case 'alarmeringen.nl': return _sl('#modal #msg #accept');
		case 'ticketea.com': return _sl('#cookies-acceptance');
		case 'radio10.nl': return _sl('div[class^="CookieWall"] #link');
		case 'ing.be': return _sl('#customConsentOverlayMap > area');
		case 'timeanddate.de': return _sl('#mpo[style*="block"] .submit[onclick*="accept"]');
		case 'finn.no': return _sl('.modal--is-active .button[href*="personvern/sikring-og-bruk"] + .button--cta');
		case 'aoib.dk': return _id('consent-module-text-button');
		case 'kristeligt-dagblad.dk': return _sl('.module.consent .ok');
		case 'allrecipes.co.uk': return _sl('#consentButtonContainer > button');
		case 'nieuwspaal.nl': return _sl('.npbutton[onclick*="setConsentCookie"]');
		case 'magazine.kieskeurig.nl': return _sl('#cookie-wall .im-button');
		case 'hajduk.hr': return _sl('.cookie-popup__close');
		case 'overdrive.com': return _sl('.featherlight[style*="block"] .set-cookie__form input[type="submit"], .cookieSettingsModal.open .confirm.button');
		case 'tappedout.net': return _sl('#gdpr-modal.in #tos-accept');
		case 'melkvee.nl': return _sl('.button[onclick*="acceptAVG"]');
		case 'mysupermarket.co.uk': return _sl('.MspGdprHerePopup #ContinueButton');
		case 'soccerstats.com': return _sl('.button[onclick*="cookiesok"]');
		case 'hanos.nl': return _sl('.banner_message[data-hanos-cookie-disclaimer][style*="block"] .btn[data-hanos-cookie-disclaimer-agree]');
		case 'brooksrunning.com': return _sl('.consent-form .consent-form__button.a-btn--primary');
		case 'hindustantimes.com': return _sl('.cookieswindow #agree');
		case 'avid.com': return _id('siteAlertAccept');
		case 'otpbank.hu': return _sl('.gdpr-btn-container .btn.btn-primary');
		case 'hpb.hr': return _sl('.js-modal-gdpr.is-active .modal-gdpr__btn-list .btn[data-level="2"]');
		case 'logicsupply.com': return _sl('.primary-button[href*="opt-in/?response=agree"]');
		case 'telenor.no': return _sl('.global-overlay-block.show .button-cta.blue a');
		case 'rp.pl': return _ev("span[contains(., 'Przejdź do serwisu')]");
		case 'foodnetwork.co.uk': return _sl('.cookie-message .btn[value="Accept"]');
		case 'foodnetwork.com': return _sl('.cookie-message .btn[value="Accept"]');
		case 'konzolstudio.hu': return _sl('.fancybox-overlay-fixed[style*="block"] .cookie_actions input[onclick*="cookieGdpr.saveBasic"]');
		case 'maa.nl': return _sl('.btn.accept-cookies');
		case 'chomikuj.pl': return _sl('#AcceptChomikujTermsForm .greenButtonCSS');
		case 'hertz.com': return _sl('#light-box-1 .lb-close');
		case 'immobilien.net': return _sl('#root > div > div > section > p + .button.button--primary');
		case 'monsterhunterworld.com': return _sl('#gdpr.active #accept a');
		
		case 'marokko.nl':
			var e = _sl('.cookiealert .button');
			if (e) e.dispatchEvent(new Event("mousedown"));
			return false;
		
		case 'imvu.com': return _sl('.privacy-policy-adult-dialog .accept-cookies');
	}
	
	
	var parts = h.split('.');
	
	if (parts.length > 2)
	{
		parts.shift();
		return getE(parts.join('.'));
	}
	
	return false;
}

setTimeout(function(){
	var h = document.location.hostname.replace(/^w{2,3}\d*\./i, ''),
		t = 0;

	var i = setInterval(function(){
		var e = getE(h);
		
		t++;
		
		if (e)
			e.click();
		
		if (e || t == 200)
			clearInterval(i);
	}, 500);
}, 1000);